/*
Name:   common.h 
Zweck:  Einbinden gemeinsamer Header-Dateien
Autor:  Andreas Seifert
Datum:
Update:
*/

#ifndef _COMMON_H_
#define _COMMON_H_


#include <stdio.h>         /* Standard-Header-Datei fuer C */
#include <Xm/Xm.h>         /* OSF/Motif-Widget-Set */
#include <Mrm/MrmPublic.h> /* Header-Datei fuer UIL */
#include <Xm/MwmUtil.h>    /* Header-Datei fuer Motif-Window-Manager */

/****************************************************************************/

/******** Header-Dateien fuer die verwendeten Widget-Klassen einbinden ******/

/****************************************************************************/

#include <Xm/CascadeB.h>   /* CascadeButton-Widget */
#include <Xm/FileSB.h>     /* FileSelectionBox-Widget */
#include <Xm/SelectioB.h>  /* SelectionBox-Widget */
#include <Xm/Form.h>       /* Form-Widget */
#include <Xm/MainW.h>      /* MainWindow-Widget */
#include <Xm/MessageB.h>   /* MessageBox-Widget */
#include <Xm/RowColumn.h>  /* RowColumn-Widget */
#include <Xm/Label.h>      /* Label-Widget */
#include <Xm/PushB.h>      /* PushButton-Widget */
#include <Xm/ScrolledW.h>  /* ScrolledWindow-Widget */
#include <Xm/Text.h>       /* Text-Widget */
#include <Xm/List.h>       /* List-Widget */
#include <Xm/DrawingA.h>   /* DrawingArea-Widget */
#include <Xm/Separator.h>  /* Separator-Widget */
#include <Xm/Scale.h>      /* Scale-Widget */
#include <Xm/PanedW.h>     /* PanedWindow-Widget */


#include "struct.h"        /* Definitionen der Datenstrukturen, Konstanten */


#include "globals.h"       /* Vereinbarung global verfuegbarer Variablen */

/* 
 * Vorwaerts-Deklarationen von sog. Callbacks, Prozeduren an der 
 * Schnittstelle zwischen der Benutzeroberflaeche und der darunterliegenden
 * Funktionalitaet
 */


void   MenuCB(Widget widget, caddr_t client_data, caddr_t call_data);
void   MemCB(Widget, caddr_t, caddr_t);
void   EditCB(Widget, caddr_t, caddr_t);
void   ZoomCB(Widget, caddr_t, caddr_t);
void   RunCB(Widget, caddr_t, caddr_t);
void   exposeCB(Widget, caddr_t, caddr_t);
void   listCB(Widget, caddr_t, XmListCallbackStruct *);
void   scaleCB(Widget, caddr_t, XmScaleCallbackStruct *);
void   modifyCB(Widget, caddr_t, caddr_t);
void   file_SelectCB(Widget, caddr_t, XmSelectionBoxCallbackStruct *);
void   fileNameDialogCB(Widget, caddr_t, caddr_t);
void   nodeNameDialogCB(Widget, caddr_t, XmSelectionBoxCallbackStruct *);
void   resultNodeNameCB(Widget, caddr_t, XmSelectionBoxCallbackStruct *);
void   store_freeGraphicCB(Widget, caddr_t, XmAnyCallbackStruct *);
void   showResultsCB(Widget, caddr_t, caddr_t);
#endif /* _COMMON_H_ */
