/*
Name:   file.h
Zweck:  Aufnahme der Vorabdefinitionen von file.c
Autor:  Andreas Seifert
Datum:
Update:
*/

#ifndef _FILE_H_
#define _FILE_H_


/********************************************************/
/*  file.h - header file fuer file.c                    */
/********************************************************/


/************* Allgemeine Header-Dateien einbinden **************************/

#include <stdio.h>    /* Standard-Header-Datei fuer C */
#include <unistd.h>
#include <stdlib.h>   /* Funktionen zur Umwandlung von Zahlen */
#include <sys/stat.h> /* Zugriff auf Dateiinformationen */
#include <Xm/Xm.h>    /* OSF/Motif-Widget-Set */

#include "struct.h"   /* enthaelt die Definitionen der Datenstrukturen */
#include "globals.h"  /* enthaelt globale Variablen */



/* Vorwabdefinitionen */
TYPE_OF_FILE  readFileSuffix(char *);
FILE          *openFileIO(char [255], char *, TYPE_OF_FILE, int *);
int           closeFile(FILE *);
Bool          loadObjectsFile(char [255], TYPE_OF_FILE);
Bool          loadNetObjects(char *, int *);
Bool          loadNetNode(char *, int *);
Bool          loadNetArc(char *, int *);
Bool          loadDrawObjects(char *);
Bool          extractDrawAreaSize(char *);
Bool          loadDrawNode(char *);
Bool          loadGraphicObjects(char *, FILE *, int);
Bool          loadGraphicOperation(char *); 
Bool          loadGraphicNode(char *);
int           extractNodeVersion(char []);
Bool          loadGraphicRepresentative(char *);
Bool          loadGraphicVertical(char *);
Bool          loadGraphicHorizontal(char *, FILE *, int);
Bool          saveGraphicObjects(char [255], int, int, int);
Bool          saveDrawFile(char [255], int, int);
Bool          saveGraphicFile(char [255], int);
Bool          file_exists(char *);
void          saveGraphicNet(FILE *, NODE *);
void          saveGraphicOperation(FILE *, int);
void          saveGraphicNode(FILE *, GRAPHIC_NODE *, int);
void          saveGraphicRepresantive(FILE *, GRAPHIC_NODE *);
void          saveGraphicVertical(FILE *, GRAPHIC_NODE *);
void          saveGraphicHorizontal(FILE *, GRAPHIC_NODE *, int);
void          saveDrawNode(FILE *);
void          saveDrawDimension(FILE *, int, int);


#endif /* _FILE_H_ */












