/*
Name:   globals.h
Zweck:  Vereinbarung globaler Variablen
Autor:  Andreas Seifert
Datum:
Update:
*/

#ifndef _GLOBALS_H_
#define _GLOBALS_H_

#ifdef MY_GLOBALS

/* Zeiger auf die Liste der Rechner der Voting-Struktur */
GRAPHIC_NODE          *ptrGraphicObjectList = (GRAPHIC_NODE*)NULL;

/* Zeiger auf den Beginn der Liste der Rechner der Netztopologie */
NODE                  *ptrNetObjectListFront = (NODE*)NULL;

/* Zeiger auf das Ende der Liste der Rechner der Netztopologie */
NODE                  *ptrNetObjectListTail = (NODE*)NULL;

/* Zeiger auf die Repraesentation der Netztopologie in einem Vektor */
VECTOR                *list = (VECTOR*)NULL;

/* Zeiger auf Referenzliste */
REF_SET_ELEMENT       *ptrListOfReference = (REF_SET_ELEMENT*)NULL;
REF_SET_ELEMENT       *ptrCurrRefList = (REF_SET_ELEMENT*)NULL; 

/* Zeiger auf Quorenliste */
VQM_SET               *ptrVQMSet[5];

/* Struktur mit global verfuegbaren Daten */
GLOBAL_DATA           data;

/* Struktur mit Zeichenmitteln */
DRAWINGKIT            drawkit;  

/* Feld mit benoetigten Widgets */
Widget                Widgetliste[MAX_WIDGETS];

/* Zoomoption */
int                   zoomOption = ZOOM_100;

/* gewaehlte Zoomoption */
Bool                  zoomOpportunity = False;

/* Bildschirm */
Screen                *screen;

/* Bildschirmtiefe */
unsigned int          screendepth = 0;

/* Terminal */
Display               *display;

/* Fenster der Zeichenoperationen */
Window                drawingWindow;

/* unterstes Fenster auf dem Bildschirm */
Window                rootWindow;

/* Applikationskontext */
XtAppContext          app_context;

/* Zeichensatz */
XmStringCharSet       charset = (XmStringCharSet)XmSTRING_DEFAULT_CHARSET;

#else

extern GRAPHIC_NODE          *ptrGraphicObjectList;
extern NODE                  *ptrNetObjectListFront;
extern NODE                  *ptrNetObjectListTail;
extern VECTOR                *list;
extern REF_SET_ELEMENT       *ptrListOfReference;
extern REF_SET_ELEMENT       *ptrCurrRefList;
extern VQM_SET               *ptrVQMSet[5];
extern GLOBAL_DATA           data;
extern DRAWINGKIT            drawkit;
extern Widget                Widgetliste[MAX_WIDGETS];
extern int                   zoomOption;
extern Bool                  zoomOpportunity;
extern Screen                *screen;
extern unsigned int          screendepth;
extern Display               *display;             
extern Window                drawingWindow;
extern Window                rootWindow;
extern XtAppContext          app_context;
extern XmStringCharSet       charset;

#endif MY_GLOBALS


#endif /* _GLOBALS_H_ */
