/*
Name:   main.h
Zweck:  Aufnahme der Vorabdefinitionen von main.c
Autor:  Andreas Seifert
Datum:
Update:
*/

#ifndef _MAIN_H_
#define _MAIN_H_

/********************************************************/
/*  main.h - header file fuer main.c                    */
/********************************************************/


/************* Allgemeine Header-Dateien einbinden **************************/
#include "common.h"


#include <stdlib.h>        /* Funktionen zur Umwandlung von Zahlen */


/* Vorabdefinitionen */
void   printStatus();
void   printUsage();
void   activateZoom();
void   setNodeListSensitive(Bool);
Bool   markListPos(char []);
Bool   markListobject(GRAPHIC_NODE *);
void   FetchWorkingDirectory();
void   installEventHandler(int, Bool);
void   set_sensitive(int, Bool);
void   mapScales(Bool, int);
void   fill_Nodelist();
void   clear_Nodelist();
Bool   restore_Listobject(GRAPHIC_NODE *);
void   start_rubber_band(Widget, caddr_t, XEvent *, Boolean *);
void   interrupt_rubber_band(Widget, caddr_t, XEvent *, Boolean *);
void   track_rubber_band(Widget, caddr_t, XEvent *, Boolean *);
void   end_nodeinsert_rubber_band(Widget, caddr_t, XEvent *, Boolean *);
void   point_in_movenode(Widget, caddr_t, XEvent *, Boolean *);
void   point_in_delnode(Widget, caddr_t, XEvent *, Boolean *);
void   point_in_modifynode(Widget, caddr_t, XEvent *, Boolean *);
void   leave_window_node(Widget, caddr_t, XEvent *, Boolean *);
void   end_move_node(Widget, caddr_t, XEvent *, Boolean *);
void   insert_arcCB(Widget, caddr_t, XmDrawingAreaCallbackStruct *);
void   delete_arcCB(Widget, caddr_t, XmDrawingAreaCallbackStruct *);
void   modify_arcCB(Widget, caddr_t, XmDrawingAreaCallbackStruct *);
void   getDrawingsize(Dimension *, Dimension *);
void   checkDrawingsize();
void   extractListString(NODE *, char *);
Bool   validNodeName(char [50]);
Bool   ascending(int, int); 
void   ActualPercent(double, int, int);

#endif /* _MAIN_H_ */



