/*
Name:   utilities.c
Zweck:  Hilfsroutinen zur Protokollierung von Arbeitsschritten
Autor:  Andreas Seifert
Datum:
Update:
*/


#include "utilities.h"

/*
 * AU: Hilfsroutinen zur Verfolgung von Programmablaeufen
 * ST: print_GraphicObjects() Ausgabe der Voting-Struktur
 *     printGraph()           Ausgabe der Netztopologie
 *     printNodeStatus()      Ausgabe der Zustaende des Vektors
 *     printvisitedNodes()    Ausgabe der besuchten Knoten des Netzes
 */

/****************************************************************************/
/****************                             *******************************/
/****************    Beginn der Funktionen    *******************************/
/****************                             *******************************/
/****************************************************************************/


void print_GraphicObjects()
/*
 * AU: Ausgabe der Belegung der Voting-Struktur ueber die Standardausgabe
 */
{          
 GRAPHIC_NODE  *zwischenObject = ptrGraphicObjectList;
 GRAPHIC_ARC   *zwischenarc;
 GRAPHIC_IDENT *zwischenident;

 fprintf(stderr, "\n");

 while (zwischenObject != NULL) {
        fprintf(stderr, "Rechner %s Name %s verbunden mit\n ",
               zwischenObject->ident, zwischenObject->name);
        
        zwischenarc = zwischenObject->first_arc;
        while (zwischenarc != NULL) {
               fprintf(stderr, " NF %s ",
                       zwischenarc->arc_to_object->ident);
               zwischenarc = zwischenarc->next_arc;
               }

        fprintf(stderr, "\n");
        fprintf(stderr, "repraesentiert durch: ");
        zwischenident = zwischenObject->firstIdent;
        while (zwischenident != NULL) {
               fprintf(stderr, "%s ", zwischenident->identItem);
               zwischenident = zwischenident->nextListIdent;
               }
        fprintf(stderr, "\n");
        zwischenObject = zwischenObject->next;
        }
}


void print_Graph()
/*
 * AU: Ausgabe der Belegung der Netztopologie ueber die Standardausgabe
 */
{           
 NODE *zwischennode = ptrNetObjectListFront;
 ARC  *zwischenarc;
  
 while (zwischennode != NULL) {
       fprintf(stderr, "ident%s\n", zwischennode->ident);
       zwischenarc = zwischennode->arcptr;
       while (zwischenarc != NULL) {
               fprintf(stderr, "verbunden mit %s mit reli %f\n", 
                               zwischenarc->ndptr->ident,
                               zwischenarc->reliability);
               zwischenarc = zwischenarc->nextarc;
             }
       zwischennode = zwischennode->nextnode;
       }
}


void printNodeStatus(ObjectList)
     NODE    *ObjectList;
/*
 * AU: Ausgabe der Zustaende des Vektors
 */
{
 NODE *zwischennode = ObjectList; /* Beginn der Rechnerliste */
 ARC  *zwischenarc;               /* Hilfszeiger */

 fprintf(stderr, "neue Situation\n ");
 while (zwischennode != NULL) {
       if (zwischennode->nodeCondition == working) {
          fprintf(stderr, "work id%s ", zwischennode->ident);
          }
       else {
            fprintf(stderr, "down id%s ", zwischennode->ident);
            }
       zwischenarc = zwischennode->arcptr;
       while (zwischenarc != NULL) {
             if (zwischenarc->arcCondition == working) {
                fprintf(stderr, "verb %s work ",
                        zwischenarc->ndptr->ident);
                }
             else {
                fprintf(stderr, "verb %s down ",
                        zwischenarc->ndptr->ident);
                  }
             zwischenarc = zwischenarc->nextarc;
             }
       zwischennode = zwischennode->nextnode;
       }
}



void printvisitedNodes(ObjectList)
     NODE *ObjectList; /* Liste der Rechner des verteilten Systems */
/*
 * AU: Besuchte Knoten des verteilten Systems anzeigen
 */   
{
 NODE  *node;
  
 for (node = ObjectList; node != NULL; node = node->nextnode) {
     if  (node->nodeStatus == visited) {
         fprintf(stderr, "besuch %s ",node->ident);
         }
     }
 fprintf(stderr, "\n");
}



/***************************************************************************/
/*                    Ende der Funktionen                                  */
/***************************************************************************/










