/*
Name:   widgetdef.h
Zweck:  Definition von Konstanten zur Identifizierung von Objekten
        der Oberflche im Feld Widgetliste[] 
Autor:  Andreas Seifert
Datum:
Update:
*/


#ifndef _WIDGETCONST_H_
#define _WIDGETCONST_H_


#define       APPL_SHELL               0 /* Applikation-Shell */
#define       FILE_SELECT              1 /* File-Selection-Box */
#define       NODE_NAME_PROMPT         2 /* Anfrage Rechnername */
#define       FILE_NAME_PROMPT         3 /* Anfrage Dateiname */
#define       HELP_FILE_MESSAGE        4 /* Hilfetext Dateiauswahl */
#define       HELP_MENU_MESSAGE        5 /* Hilfetext Menuezeile */
#define       NODE_MESSAGE             6 /* Mitteilung ungueltiger Rechnername */
#define       DRAW_AREA                7 /* Zeichenflaeche */
#define       MESSAGE_AREA             8 /* Mitteilungsbereich */
#define       EDIT_BUTTONS             9 /* Bereich der Editierfunktionen */
#define       SCROLLED_DRAW           10 /* Umrandung Zeichenflaeche */
#define       NODE_INS_BUTTON         11 /* "Rechner einfuegen"-Knopf */
#define       NODE_MOVE_BUTTON        12 /* "Rechner verschieben"-Knopf */
#define       NODE_DEL_BUTTON         13 /* "Rechner entfernen"-Knopf */
#define       NODE_INFO_BUTTON        14 /* "Rechnerwertebelegung"-Knopf */
#define       ARC_INS_BUTTON          15 /* "Beziehung einfuegen"-Knopf */
#define       ARC_DEL_BUTTON          16 /* "Beziehung entfernen"-Knopf */
#define       ARC_INFO_BUTTON         17 /* "Beziehungswertebelegung"-Knopf */
#define       END_FUNC_BUTTON         18 /* "Funktion beenden"-Knopf */
#define       ZOOM_50_BUTTON          19 /* "Zoomfaktor 50"-Knopf */
#define       ZOOM_75_BUTTON          20 /* "Zoomfaktor 75"-Knopf */
#define       ZOOM_100_BUTTON         21 /* "Zoomfaktor 100"-Knopf */
#define       NODE_LIST_CONT          22 /* Umrandung Rechnerliste */
#define       NODE_LIST               23 /* Rechnerliste */
#define       FILE_MENU_BUTTON        24 /* Dateimenueknopf */
#define       NEW_TREE_BUTTON         25 /* "Neue Votingstruktur"-Knopf */
#define       OPEN_NET_BUTTON         26 /* "Rechnernetz oeffnen"-Knopf */
#define       OPEN_TREE_BUTTON        27 /* "Votingstruktur oeffnen"-Knopf */
#define       SAVE_YN_BUTTON          28 /* "Abspeichern"-Knopf */
#define       CLOSE_BUTTON            29 /* "Programm beenden"-Knopf */
#define       RUN_MENU_BUTT           30 /* Analysemenueknopf */
#define       CHECK_VQM_BUTT          31 /* "Votingstruktur testen"-Knopf */
#define       COMPUTE_VQM_BUTT        32 /* "Votingstruktur berechnen"-Knopf */
#define       COMPUTE_RELI_BUTT       33 /* "Wahrscheinlichkeit berechnen"-Knopf */
#define       HELP_MENU_BUTTON        34 /* Hilfemenueknopf */
#define       NODE_MODIFY_SHELL       35 /* Shell z. Wertebelegung f. Rechner */
#define       NODE_MODIFY_CONT        36 /* Behaelter f. Schieberegler */
#define       NODE_QUOR_ONE           37 /* Schieberegler Quorum 1 */
#define       NODE_QUOR_TWO           38 /* Schieberegler Quorum 2 */
#define       NODE_QUOR_THREE         39 /* Schieberegler Quorum 3 */
#define       NODE_QUOR_FOUR          40 /* Schieberegler Quorum 4 */
#define       NODE_QUOR_FIVE          41 /* Schieberegler Quorum 5 */
#define       NODE_VOTE_SIX           42 /* Schieberegler Stimmen */
#define       NODE_LABEL_ONE          43 /* Reglerbezeichnung Quorum 1 */
#define       NODE_LABEL_TWO          44 /* Reglerbezeichnung Quorum 2 */
#define       NODE_LABEL_THREE        45 /* Reglerbezeichnung Quorum 3 */
#define       NODE_LABEL_FOUR         46 /* Reglerbezeichnung Quorum 4 */
#define       NODE_LABEL_FIVE         47 /* Reglerbezeichnung Quorum 5 */
#define       NODE_LABEL_SIX          48 /* Reglerbezeichnung Stimmen */
#define       NODE_MODIFY_NAME        49 /* Rechnerbezeichnung */
#define       NODE_MODIFY_OK_BUTT     50 /* "Werte-uebernehmen"-Knopf */
#define       NODE_MODIFY_CANCEL_BUTT 51 /* "Wertebelegung abbrechen"-Knopf */
#define       ARC_MODIFY_SHELL        52 /* Shell Wertebelegung Beziehungen */
#define       ARC_MODIFY_CONT         53 /* Behaelter f. Schieberegler */
#define       ARC_MOD_ONE             54 /* Schieberegler Quorum 1 */
#define       ARC_MOD_TWO             55 /* Schieberegler Quorum 2 */
#define       ARC_MOD_THREE           56 /* Schieberegler Quorum 3 */
#define       ARC_MOD_FOUR            57 /* Schieberegler Quorum 4 */
#define       ARC_MOD_FIVE            58 /* Schieberegler Quorum 5 */
#define       ARC_LABEL_ONE           59 /* Reglerbezeichnung Quorum 1 */
#define       ARC_LABEL_TWO           60 /* Reglerbezeichnung Quorum 2 */
#define       ARC_LABEL_THREE         61 /* Reglerbezeichnung Quorum 3 */
#define       ARC_LABEL_FOUR          62 /* Reglerbezeichnung Quorum 4 */
#define       ARC_LABEL_FIVE          63 /* Reglerbezeichnung Quorum 5 */
#define       ARC_MODIFY_NAME         64 /* Bezeichnung der Beziehung */
#define       ARC_MODIFY_OK_BUTT      65 /* "Werte-uebernehmen"-Knopf */
#define       ARC_MODIFY_CANCEL_BUTT  66 /* "Wertebelegung abbrechen"-Knopf */
#define       FILE_NAME_SHELL         67 /* Shell Eingabe Rechnername */
#define       FILE_NAME_SCALE         68 /* Schieberegler f. Quorenanzahl */
#define       FILE_NAME_TEXT          69 /* Textfeld Dateibezeichnung */
#define       FILE_NAME_OK_BUTT       70 /* "Dateiname-uebernehmen"-Knopf */
#define       FILE_NAME_CANCEL_BUTT   71 /* "Eingabe beenden"-Knopf */
#define       PRES_RES_SHELL          72 /* Shell f. d. Ergebnispraesentation */
#define       RESULT_SERVICE1         73 /* Text f. d. Anzeige W. Dienst 1 */ 
#define       RESULT_SERVICE2         74 /* Text f. d. Anzeige W. Dienst 2 */
#define       RESULT_SERVICE3         75 /* Text f. d. Anzeige W. Dienst 3 */
#define       RESULT_SERVICE4         76 /* Text f. d. Anzeige W. Dienst 4 */
#define       RESULT_SERVICE5         77 /* Text f. d. Anzeige W. Dienst 5 */
#define       RESULT_TOPFILE          78 /* Text f. d. Anzeige Topologiedatei */
#define       RESULT_VOTFILE          79 /* Text f. d. Anzeige VS - datei */    
#define       RESULTS_OK_BUTT         80 /* Ende Anzeige der Resultate */
#define       RESULTS_ONE             81 /* Anzeige Resultat 1 */
#define       RESULTS_TWO             82 /* Anzeige Resultat 2 */
#define       RESULTS_THREE           83 /* Anzeige Resultat 3 */  
#define       RESULTS_FOUR            84 /* Anzeige Resultat 4 */ 
#define       RESULTS_FIVE            85 /* Anzeige Resultat 5 */ 





#endif /* _WIDGETCONST_H_ */
